[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.AfterEdit

Event triggered after the dataset is put in edit mode.

## Declaration

Source position: db.pas line 1629

`public property TDataSet.AfterEdit: TDataSetNotifyEvent read FAfterEdit write FAfterEdit;`

## Description

AfterEdit is triggered after the dataset has finished putting the dataset in dsEdit state and it has initialized the edit buffer for the record. Raising an exception in the AfterEdit event does not undo the edit operation.

## See also

TDataset.BeforeEdit |  | Event triggered before the dataset is put in edit mode.
TDataset.Edit |  | Set the dataset in editing mode.
TDataset.State |  | Current operational state of the dataset

The latest version of this document can be found at lazarus-ccr.sourceforge.net.